<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param: ciddMessage (the selected ciddMessage to edit) -->
    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
        <ui:param name="panel_id" value="ciddMessagePanel"/>
        <ui:define name="panel_title">
            <h:outputText value="CIDD Message edition"/>
        </ui:define>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="ciddNameValue"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Name']}</ui:define>
            <h:inputText styleClass="form-control" value="#{ciddMessage.name}" id="ciddNameValue"/>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">Timestamp</ui:define>
            <ui:param name="id" value="timestampValue"/>
            <rich:calendar id="timestampValue" value="#{ciddMessage.timestamp}"
                           popup="true" showApplyButton="false"
                           datePattern="yyyy-MM-dd HH:mm:ss">
            </rich:calendar>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">Message Type</ui:define>
            <ui:param name="id" value="configSelectionBox"/>
            <h:selectOneMenu id="configSelectionBox" value="#{ciddMessage.type}"
                             styleClass="form-control">
                <s:selectItems value="#{ciddMessageManager.getMessageTypes()}" var="type" label="#{type.label}"
                               noSelectionLabel="#{messages['net.ihe.gazelle.hpd.PleaseSelect']}"/>
            </h:selectOneMenu>
        </s:decorate>
        <s:decorate template="/layout/form/_edit.xhtml">
            <ui:param name="id" value="message"/>
            <ui:define name="label">Message content</ui:define>
            <h:inputTextarea styleClass=" form-control" value="#{ciddMessage.message}" id="message" rows="32"
                             cols="60"/>
        </s:decorate>
        <a4j:commandButton value="#{messages['users.Cancel']}"
                           actionListener="#{ciddMessageManager.cancelEdition()}" render="globalDiv"
                           styleClass="gzl-btn"/>
        <a4j:commandButton value="#{messages['gazelle.simulator.Save']}"
                           actionListener="#{ciddMessageManager.saveMessage()}" render="globalDiv"
                           styleClass="gzl-btn-green"/>
    </ui:decorate>
</ui:composition>
